package com.docus.server.sys.service;

import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.entity.PowerDept;

import java.util.List;

public interface IPowerDeptService {

    /**
     * 科室注册
     *
     * @param deptDto 用户注册参数
     * @return 处理结果
     */
    boolean insertOrUpdatePowerDept(DeptDTO deptDto);

    /**
     * 根据科室编号删除科室
     *
     * @param deptCode 科室编码
     * @return 删除结果
     */
    boolean delDeptByDeptCode(String deptCode);

    /**
     * 批量新增或修改
     *
     * @param deptDTOList
     */
    void batchInsertOrUpdatePowerDept(List<DeptDTO> deptDTOList);

    /**
     * 通过deptcode 查询科室数据
     *
     * @param deptId
     * @return
     */
    PowerDept findByDeptCode(String deptId);
}
